Subject: git-log --cherry-pick gives different results when using tag or tag^{}

From: Francis Moreau <[email-masked]>
Date: Fri, 10 Jan 2014 14:15:40 +0100

Hello,

In mykernel repository, I'm having 2 different behaviours with git-log
but I don't understand why:

Doing:

    $ git log --oneline --cherry-pick --left-right v3.4.71-1^{}...next

and

    $ git log --oneline --cherry-pick --left-right v3.4.71-1...next

give something different (where v3.4.71-1 is a tag).

The command using ^{} looks the one that gives correct result I think.

Could anybody enlight me ?

Thanks.